{% extends "app/base_site.html" %}

{% load custom_tags %}

{% load static %}

{% block title %} Órdenes no recibidas {% endblock title %}

{% block stylesheets %}
    {{ block.super }}
    <link href="{% static '/vendors/datatables.net-bs/css/dataTables.bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-buttons-bs/css/buttons.bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-fixedheader-bs/css/fixedHeader.bootstrap.min.css' %}"
          rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-responsive-bs/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
    <link href="{% static '/vendors/datatables.net-scroller-bs/css/scroller.bootstrap.min.css' %}" rel="stylesheet">
{% endblock stylesheets %}

{% block content %}
    <div class="right_col" role="main">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Órdenes no recibidas</h2>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <table id="orders-not-received-datatable" class="table table-striped table-bordered">
                                <thead>
                                <tr>
                                    <th class="text-center" title="Identificador en el agregador">ID</th>
                                    <th class="text-center">RUC-Establecimiento</th>
                                    <th class="text-center">Agregador</th>
                                    <th class="text-center" title="Fecha del evento">Fecha</th>
                                    <th class="text-center">Causa</th>
                                    <th class="text-center">Modo</th>
                                </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

{% block javascripts %}
    {{ block.super }}
    <!-- Datatables -->
    <script src="{% static '/vendors/datatables.net/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-bs/js/dataTables.bootstrap.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/dataTables.buttons.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons-bs/js/buttons.bootstrap.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/buttons.flash.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/buttons.html5.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-buttons/js/buttons.print.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-fixedheader/js/dataTables.fixedHeader.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-keytable/js/dataTables.keyTable.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-responsive/js/dataTables.responsive.min.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-responsive-bs/js/responsive.bootstrap.js' %}"></script>
    <script src="{% static '/vendors/datatables.net-scroller/js/dataTables.scroller.min.js' %}"></script>
    <script src="{% static '/vendors/jszip/dist/jszip.min.js' %}"></script>
    <script src="{% static '/vendors/pdfmake/build/pdfmake.min.js' %}"></script>
    <script src="{% static '/vendors/pdfmake/build/vfs_fonts.js' %}"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var entradas_table = $('#orders-not-received-datatable').DataTable({
                "language": {
                    "search": "Buscar:",
                    "lengthMenu": "Mostrar _MENU_ elementos",
                    "zeroRecords": "Sin datos",
                    "info": "Mostrando _START_ a _END_ de _TOTAL_ elementos",
                    "infoEmpty": "No hay datos disponibles",
                    "infoFiltered": "(filtrado de _MAX_ elementos)",
                    "paginate": {
                        "previous": "Anterior",
                        "next": "Siguiente"
                    }
                },
                "order": [],
                'ajax': {
                    'url': '{% url "order:ordernotreceived-orders_not_received" %}?format=datatables',
                    'complete': function () {
                    }
                },
                'columns': [
                    {'data': 'order_id'},
                    {'data': 'store_id'},
                    {'data': 'aggregator_id'},
                    {'data': 'created_at'},
                    {'data': 'exception'},
                    {'data': 'mode'}
                ]
            });
        });
    </script>
{% endblock javascripts %}
